
# Interface: IConfigProductInformationAJAX

A widget that is used to get product interface.

```
{
  "widgets": [
    {
      "name": "pim-ajax",
      "type": "pim-ajax",
      "params": {
        "productId": "{{ Product.id }}",
        "options": {"7804":"11519"},  // { "opt1_id": "opt1_val1_id, opt1_val2_id", "opt2_id": "opt2_val1_id" }
        "settings": {
             "designs": {
                 "enabled": true
              },
             "variants": {
                 "enabled": true
              },
             "mockups": {
                 "enabled": true
              }
         },
         "eventsCallbacks": {
              "options": {
                "onError": "{{ #function(err) console.warn(err); }}",
                "onSuccess": "{{ #function(response) console.warn(response); }}"
              },
              "designs": {
                 "onError": "{{ #function(err) console.warn(err); }}",
                 "onSuccess": "{{ #function(response) console.warn(response); }}"
              },
              "variants": {
                 "onError": "{{ #function(err) console.warn(err); }}",
                 "onSuccess": "{{ #function(response) console.warn(response); }}"
              }
          }
          }
        ]
      }
    }
  ]
}
```

## Hierarchy

* **IConfigProductInformationAJAX**

## Implemented by

* [WidgetParams](../classes/widgetparams.md)

## Index

### Properties

* [choices](iconfigproductinformationajax.md#choices)
* [currentSku](iconfigproductinformationajax.md#currentsku)
* [eventsCallbacks](iconfigproductinformationajax.md#eventscallbacks)
* [options](iconfigproductinformationajax.md#options)
* [productId](iconfigproductinformationajax.md#optional-productid)
* [productLinkId](iconfigproductinformationajax.md#optional-productlinkid)
* [productVersionId](iconfigproductinformationajax.md#optional-productversionid)
* [settings](iconfigproductinformationajax.md#settings)

## Properties

###  choices

• **choices**: *Record‹string, number[]›*

___

###  currentSku

• **currentSku**: *string*

___

###  eventsCallbacks

• **eventsCallbacks**: *object*

#### Type declaration:

* **designs**: *[IEventCallbacks](ieventcallbacks.md)*

* **mockups**: *[IEventCallbacks](ieventcallbacks.md)*

* **options**: *[IEventCallbacks](ieventcallbacks.md)*

* **variants**: *[IEventCallbacks](ieventcallbacks.md)*

___

###  options

• **options**: *Record‹string, string | string[]›*

___

### `Optional` productId

• **productId**? : *number*

___

### `Optional` productLinkId

• **productLinkId**? : *number*

___

### `Optional` productVersionId

• **productVersionId**? : *number*

___

###  settings

• **settings**: *object*

#### Type declaration:

* **designs**: *[IApiPointParams](iapipointparams.md)*

* **mockups**: *[IApiPointParams](iapipointparams.md)*

* **variants**: *[IApiPointParams](iapipointparams.md)*
